Bug 496205 - PVFB frontend can send bogus screen updates
PVFB frontend can send bogus screen updates
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-xen (Show other bugs)
4.9
All Linux
low Severity high
: rc
: ---
Assigned To: Paolo Bonzini
Virtualization Bugs
:
Depends On: 370341 456893
Blocks: 458302
  Show dependency treegraph
 
Reported: 2009-04-17 05:10 EDT by Markus Armbruster
Modified: 2011-02-16 11:05 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 370341
Environment:
Last Closed: 2011-02-16 11:05:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 5 Vivek Goyal 2009-07-28 13:22:08 EDT
Committed in 89.7.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 7 Binbin Yu 2010-12-19 22:12:29 EST
verify this bug on rhel4.8 i386 pv guest with 89.32.EL
Comment 8 Binbin Yu 2010-12-20 01:33:56 EST
More details as follows, for bug verification.

Version-Release number of selected component (if applicable):
host: rhel5.5-32bit
xen-3.0.3-120.el5
kernel-xen-2.6.18-233.el5
guest: rhel4.8 32bit-pv, with kernel updated to 89.32.EL

 

Steps to verify:
1. Configure a pv guest to use SDL graphics
2. xm create <pv guest>
3. wait for the guest to boot all the way up
4. if the sdl window remains present when the paravirt guest is started, xm shutdown <pv guest> and repeat step2~4 20 times.

useful scripts to do this loop operation:
#!/bin/sh
x=1
while((x<=20))
do
   echo this is the $x th time
   xm create /etc/xen/rhel4.8-32-pv.cfg
   echo boot over
   sleep 70
   echo sleep over and shutdown guest
   xm shutdown rhel4u8-32-pv
   echo shut over
   sleep 30
   echo sleep over and repeat to boot
   let x=x+1
done



Actual results:
The SDL window remains present every time a paravirt guest is started.


Additional info:
no reproduce this bug
Comment 9 Binbin Yu 2010-12-20 03:39:45 EST
Verify this bug on rhel4.9 i386 pv guest with 93.EL

More details as follows, for bug verification.

Version-Release number of selected component (if applicable):
host: rhel5.5-32bit
xen-3.0.3-120.el5
kernel-xen-2.6.18-233.el5
guest: rhel4.9 32bit-pv ( by updating rhel4.8 kernel to 93.EL )



Steps to verify:
same with verification for rhel4.8

Actual results:
The SDL window remains present every time a paravirt guest is started.


Additional info:
no reproduce this bug
Comment 10 errata-xmlrpc 2011-02-16 11:05:55 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0263.html

Note You need to log in before you can comment on or make changes to this bug.